summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorSlithery2015-08-16 10:49:58 +0100
committerSlithery2015-08-16 10:49:58 +0100
commitae259baf2632e65207558c321a56222b8ad96519 (patch)
tree8c2473f30ae462c7639edaff97de9e2f4a6cf25e
downloadaur-ae259baf2632e65207558c321a56222b8ad96519.tar.gz
initial commit
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD28
2 files changed, 44 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..5c11d387de5
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = mediterranean-gtk-themes-git
+ pkgdesc = The Mediterranean family of GTK+2/3 themes
+ pkgver = v2.03.0.1.r30.g1c33164
+ pkgrel = 1
+ url = https://github.com/rbrito/mediterranean-gtk-themes
+ arch = any
+ license = GPL3
+ makedepends = git
+ optdepends = gtk-engines: For GTK2 support
+ optdepends = gtk-engine-murrine: for GTK2 support
+ optdepends = gtk3: for GTK3 support
+ source = mediterranean-gtk-themes-git::git+https://github.com/rbrito/mediterranean-gtk-themes
+ sha256sums = SKIP
+
+pkgname = mediterranean-gtk-themes-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..70fd4c61247
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Slithery <aur at slithery dot uk>
+
+pkgname=mediterranean-gtk-themes-git
+pkgver=v2.03.0.1.r30.g1c33164
+pkgrel=1
+pkgdesc="The Mediterranean family of GTK+2/3 themes"
+arch=('any')
+url=(https://github.com/rbrito/mediterranean-gtk-themes)
+license=('GPL3')
+optdepends=('gtk-engines: For GTK2 support'
+ 'gtk-engine-murrine: for GTK2 support'
+ 'gtk3: for GTK3 support')
+makedepends=('git')
+source=("${pkgname}::git+${url}")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd "${pkgname}"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+package () {
+ cd "${pkgname}"
+ find Mediterranean*/ -type f -exec install -Dm644 "{}" "${pkgdir}/usr/share/themes/{}" \;
+}